Dashboard summary
curl --request GET \
--url https://api.tensorpro.ai/api/v1/dashboard/summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tensorpro.ai/api/v1/dashboard/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tensorpro.ai/api/v1/dashboard/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"abstentions": 123,
"efficiency": {
"percent_reduction": 123,
"series": [
{
"period_start": 123,
"tokens_baseline": 123,
"tokens_sip": 123
}
],
"tokens_baseline": 123,
"tokens_saved": 123,
"tokens_sip": 123
},
"freshness": {
"fresh": 123,
"stale": 123,
"stale_after_seconds": 123,
"total": 123
},
"integrity": {
"total_retrievals": 123,
"total_violations": 123
},
"provenance": {
"provenance": {}
},
"retrieval_p95": 123,
"scopes": [
{
"count": 123,
"project_id": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Dashboard
Dashboard summary
Return the full dashboard landing payload in one call: memory integrity, context efficiency and token savings, freshness, honest abstentions, retrieval latency, memory scopes, and provenance composition. An optional window_seconds narrows the time-windowed tiles.
GET
/
api
/
v1
/
dashboard
/
summary
Dashboard summary
Authorizations
EDN API key presented as a bearer token in the Authorization header ('Authorization: Bearer '). Create and manage keys from the Console.
Query Parameters
Required range:
x >= 1Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
